The account type for Asterisk extensions.

package | types

### Methods

## Constructs a new domain type object.

    __construct()

## Returns the alias name of this account type.

    getAlias() : string

This function must be overwritten by the child classes.

### Returns

`string`alias name

## Returns the default attribute list for this account type.

    getDefaultListAttributes() : string

This function must be overwritten by the child classes.

### Returns

`string`attribute list

## Returns the description of this account type.

    getDescription() : string

This function must be overwritten by the child classes.

### Returns

`string`description

## Returns a list of attributes which have a translated description.

    getListAttributeDescriptions() : array

This is used for the head row in the list view.

### Returns

`array`list of descriptions

## Returns the class name for the list object.

    getListClassName() : string

### Returns

`string`class name

## Returns a list of LDAP suffixes for this type.

    getSuffixList() : array

Inherited

inherited_from | \baseType::getSuffixList()

### Returns

`array`sorted list of possible suffixes for this type.

## Returns the the title text for the title bar on the new/edit page.

    getTitleBarSubtitle(\accountContainer $container) : String

Inherited

inherited_from | \baseType::getTitleBarSubtitle()

### Parameters

#### $container

`\accountContainer`

account container

### Returns

`String`title text

## Returns the the title text for the title bar on the new/edit page.

    getTitleBarTitle(\accountContainer $container) : String

### Parameters

#### $container

`\accountContainer`

account container

### Returns

`String`title text

## This function is called after the edit page is processed and before the page content is generated.

    runEditPagePostAction(\accountContainer $container)

Inherited

This can be used to run custom handlers after each page processing.

inherited_from | \baseType::runEditPagePostAction()

### Parameters

#### $container

`\accountContainer`

account container

## Returns if entries of this type may be created via file upload.

    supportsFileUpload() : boolean

Inherited

inherited_from | \baseType::supportsFileUpload()

### Returns

`boolean`true, if file upload is supported

### Properties

## label to return to account list

    $LABEL_BACK_TO_ACCOUNT_LIST

Inherited

inherited_from | \baseType::$$LABEL_BACK_TO_ACCOUNT_LIST

## label to create another account

    $LABEL_CREATE_ANOTHER_ACCOUNT

Inherited

inherited_from | \baseType::$$LABEL_CREATE_ANOTHER_ACCOUNT